Subject: Re: Report of use of "local" per t0000-basic.sh

From: "brian m. carlson" <[email-masked]>
Date: Sat, 23 Nov 2019 04:16:16 +0000

On 2019-11-22 at 19:04:19, Randall S. Becker wrote:
> Hi All,
> 
> Based on the note in t0000-basic.sh below, I am just letting you know that I
> have encountered a lack of support for the "local" on the z/OS 2.3 USS
> platform except within a function. I thought you might want to know.

I think it's fine that we restrict the use of local to within a
function.  In fact, dash (Debian and Ubuntu's default /bin/sh) exits
unsuccessfully if you use local outside of a function.

Is there some place in particular that you've found we're using it
outside of a function?  I don't know about others, but I'm certainly
interested in fixing these.  It looks like we do use it in a function in
t0000 itself, though.
-- 
brian m. carlson: Houston, Texas, US
OpenPGP: https://keybase.io/bk2204